<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="1.0">
	<xsl:output method="html" version="4.0" encoding="ISO-8859-1" />

	<xsl:include href="classpath://se/unlogic/hierarchy/core/utils/xsl/Common.xsl"/>

	<xsl:template match="Document">
		<div class="contentitem">
			<link rel="stylesheet" type="text/css" href="{requestinfo/contextpath}/static/f/{module/sectionID}/{module/moduleID}/css/search.css" />
			<form method="get" action="{module/alias}">
				<xsl:call-template name="createTextField">
					<xsl:with-param name="id" select="'search'"/>
					<xsl:with-param name="name" select="'search'"/>
					<xsl:with-param name="element" select="SearchResult"/>
					<xsl:with-param name="size" select="'80%'"/>
					<xsl:with-param name="title" select="$searchTitle"/>
				</xsl:call-template>
				<input type="submit" value="{$Search}" />
			</form>
			<xsl:apply-templates select="SearchResult" />
		</div>
	</xsl:template>
	
	<xsl:template match="SearchResult[Hits]">
		<h1><xsl:value-of select="$SearchResult"/></h1>
		<xsl:apply-templates select="Hits/Hit"/>
	</xsl:template>

	<xsl:template match="SearchResult">
		<h1><xsl:value-of select="$SearchResult"/></h1>
		<h2><xsl:value-of select="$NoHits"/></h2>
	</xsl:template>

	<xsl:template match="Hit">
		<div class="hit">
			<h2><xsl:value-of select="title"/></h2>
			<xsl:apply-templates select="snippets/snippet"/>
			<a href="{/Document/requestinfo/contextpath}{fullAlias}"><span class="uri"><xsl:value-of select="/Document/FullContextPathURL"/><xsl:value-of select="fullAlias"/></span></a>
		</div>
	</xsl:template>
	
	<xsl:template match="snippet">
		<p><xsl:value-of disable-output-escaping="yes" select="." /></p>
	</xsl:template>
</xsl:stylesheet>