<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" version="4.0" encoding="ISO-8859-1" />

	<xsl:include href="SystemAdminModuleTemplates.xsl" />
	<!-- Naming template.mode.field.type -->
	
	<xsl:variable name="addForegroundModuleBreadCrumbText">Add foreground module</xsl:variable>
	<xsl:variable name="updateForegroundModuleBreadCrumbText">Edit foreground module: </xsl:variable>
	<xsl:variable name="copyForegroundModuleBreadCrumbText">Copy foreground module: </xsl:variable>
	<xsl:variable name="moveForegroundModuleBreadCrumbText">Move foreground module: </xsl:variable>
	
	<xsl:variable name="addBackgroundModuleBreadCrumbText">Add background module</xsl:variable>
	<xsl:variable name="updateBackgroundModuleBreadCrumbText">Edit background module: </xsl:variable>
	<xsl:variable name="copyBackgroundModuleBreadCrumbText">Copy background module: </xsl:variable>
	<xsl:variable name="moveBackgroundModuleBreadCrumbText">Move background module: </xsl:variable>	
	
	<xsl:variable name="addFilterModuleBreadCrumbText">Add filter module</xsl:variable>
	<xsl:variable name="updateFilterModuleBreadCrumbText">Update filter module: </xsl:variable>	
	
	<xsl:variable name="addSectionBreadCrumbText">Add section</xsl:variable>
	<xsl:variable name="updateSectionBreadCrumbText">Edit section: </xsl:variable>
	<xsl:variable name="moveSectionBreadCrumbText">Move section: </xsl:variable>
	
	<xsl:variable name="expandAll" select="'Expand all'" />
	<xsl:variable name="collapseAll" select="'Collapse all'" />
	<xsl:variable name="startSection" select="'Start section'" />
	<xsl:variable name="stopSection" select="'Stop section'" />
	<xsl:variable name="addFilterModule" select="'Add filter module'" />
	<xsl:variable name="addModuleInSection" select="'Add module in section'" />
	<xsl:variable name="addSubSectionInSection" select="'Add subsection in section'" />
	<xsl:variable name="addSubSection" select="'Add subsection'" />
	<xsl:variable name="moveSection" select="'Move section'" />
	<xsl:variable name="editSection" select="'Edit section'" />
	<xsl:variable name="removeSection" select="'Remove section'" />
	<xsl:variable name="startModule" select="'Start module'" />
	<xsl:variable name="stopModule" select="'Stop module'" />
	<xsl:variable name="moveModule" select="'Move module'" />
	<xsl:variable name="copyModule" select="'Copy module'" />
	<xsl:variable name="editModule" select="'Edit module'" />
	<xsl:variable name="removeModule" select="'Remove module'" />
	<xsl:variable name="name" select="'Name'" />
	<xsl:variable name="description" select="'Description'" />
	<xsl:variable name="alias" select="'Alias'" />
	<xsl:variable name="requiredProtocol" select="'Protocol'" />
	<xsl:variable name="slots" select="'Slots'" />
	<xsl:variable name="autoStartUponSystemStartAndCacheReload" select="'Start automatically upon system start and cache reload'" />
	<xsl:variable name="showSectionInMenu" select="'Show section in menu'" />
	<xsl:variable name="showModuleInMenu" select="'Show module in menu'" />
	<xsl:variable name="showBreadCrumb" select="'Show breadcrumb'" />
	<xsl:variable name="defaultAddresses" select="'Default addresses'" />
	<xsl:variable name="administrators" select="'Administrators'" />
	<xsl:variable name="loggedInUsers" select="'Logged in users'" />
	<xsl:variable name="anonymousUsers" select="'Non logged in users'" />
	<xsl:variable name="access" select="'Access'" />
	<xsl:variable name="allLoggedInUsers" select="'All logged in users'" />
	<xsl:variable name="validation.requiredField" select="'You must fill in the field'" />
	<xsl:variable name="validation.invalidFormat" select="'Incorrect format in field'" />
	<xsl:variable name="validation.tooShort" select="'Too short content in field '" />
	<xsl:variable name="validation.tooLong" select="'Too long content in field'" />		
	<xsl:variable name="validation.unknownError" select="'Unknown error in field'" />
	<xsl:variable name="anonymousDefaultURI" select="'Default address for non logged in users'" />
	<xsl:variable name="userDefaultURI" select="'Default address for logged in users'" />
	<xsl:variable name="adminDefaultURI" select="'Default address for administrators'" />
	<xsl:variable name="classname" select="'classname'" />
	<xsl:variable name="xslPathType" select="'XSLT path type'" />
	<xsl:variable name="xslPath" select="'XSLT path'" />
	<xsl:variable name="validationError.dataSourceID" select="'datasource'" />
	<xsl:variable name="datasource" select="'Datasource'" />
	<xsl:variable name="duplicateModuleAlias" select="'A module with this alias already exists in this section'" />
	<xsl:variable name="duplicateSectionAlias" select="'A subsection with this alias already exists in this section'" />
	<xsl:variable name="enforcedProtocolAlreadyExists" select="'Unallowed protocol. A super section has already specified protocol'" />
	<xsl:variable name="conflictingProtocolInChildren" select="'A subsection or module has a conflicting required protocol'" />
	<xsl:variable name="unknownFault" select="'An unknown fault has occurred'" />
	<xsl:variable name="groups" select="'Groups'" />
	<xsl:variable name="users" select="'Users'" />
	<xsl:variable name="classnameWholePath" select="'Class name (absolute path)'" />
	<xsl:variable name="staticPackage" select="'Static content package'" />
	<xsl:variable name="xslt" select="'XSLT stylesheet'" />
	<xsl:variable name="pathType" select="'Path type'" />
	<xsl:variable name="path" select="'Path'" />
	<xsl:variable name="addModule" select="'Add module'" />
	<xsl:variable name="noStyleSheet" select="'No stylesheet'" />
	<xsl:variable name="moveSectionInstruction" select="'Click on the section to which you want to move the section'" />
	<xsl:variable name="moveModuleInstruction" select="'Click on the section to which you want to move the module'" />
	<xsl:variable name="copyModuleInstruction" select="'Click on the section to which you want to copy the module'" />
	<xsl:variable name="editSubSection" select="'Edit section'" />
	<xsl:variable name="saveChanges" select="'Save changes'" />
	<xsl:variable name="dataSources.defaultDataSource" select="'System default'"/>
	<xsl:variable name="updateModule.moduleSettings" select="'Module specific settings'"/>
	<xsl:variable name="updateModule.moduleHasNoModuleSettings" select="'This module has no module specific settings'"/>
	<xsl:variable name="updateModule.moduleNotStarted" select="'Module specific settings are only available when the module is started'"/>
	<xsl:variable name="settingDescriptor.notSet" select="'Not set'"/>
	<xsl:variable name="settingDescriptor.unknownTypePart1" select="'The setting'"/>
	<xsl:variable name="settingDescriptor.unknownTypePart2" select="'has an unknown format'"/>
	<xsl:variable name="settingDescriptor.resetDefualtValue" select="'Reset default value'"/>
	
	<xsl:variable name="priority" select="'Priority'" />	
</xsl:stylesheet>