<?xml version="1.0" encoding="ISO-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="html" version="4.0" encoding="ISO-8859-1"/>

	<xsl:template match="threadInfo">	
		<div class="contentitem">
			<h1><xsl:value-of select="module/name"/></h1>
			
			<p>Active threads: <xsl:value-of select="activeThreads"/></p>
			<p>Thread count: <xsl:value-of select="count(threads/thread)"/></p>
		</div>			
		
		<hr class="noscreen" />	
			
		<xsl:apply-templates select="threads"/>
	</xsl:template>
		
	<xsl:template match="threads">
		<div class="contentitem">
			<h1>Thread list</h1>
			
			<xsl:apply-templates select="thread"/>
		</div>
	</xsl:template>
	
	<xsl:template match="thread">
		<fieldset>
			<legend><xsl:value-of select="name"/></legend>
			<p>Priority: <xsl:value-of select="priority"/></p>
			<p>Alive: <xsl:value-of select="alive"/></p>
			<p>Daemon: <xsl:value-of select="daemon"/></p>
			<p>Interrupted: <xsl:value-of select="interrupted"/></p>
			<p>Stacktrace:</p>
			<xsl:apply-templates select="stacktrace/stackTraceElement"/>		
		</fieldset>
	</xsl:template>
	
	<xsl:template match="stackTraceElement">
		<p>at <xsl:value-of select="className"/>.<xsl:value-of select="methodName"/>(<xsl:value-of select="fileName"/>:<xsl:value-of select="lineNumber"/>)</p>
	</xsl:template>
</xsl:stylesheet>